<template>
  <div>
    <div v-for="data in registered_gender" v-bind:key="data.gender" class="app-activity">
      <el-col type="flex" :span="5">
        <div :class="data.gender == 'Pria' ? 'icons-container --male': 'icons-container --female'">
          <svg-icon :icon-class="data.gender == 'Pria' ? 'male': 'female'" />
        </div>
      </el-col>
      <el-col type="flex" :span="19">
        <div class="app-activity__title">{{ data.gender }}</div>
        <transition appear>
          <el-progress
            :text-inside="true"
            :stroke-width="35"
            :percentage="data.percent"
            :class="data.gender == 'Pria' ? '--male': '--female'">
          </el-progress>
        </transition>
        <div class="farmer-count farmer-count--percent">{{ data.percent }} %</div>
        <div class="farmer-count farmer-count--decimal">
          {{ data.farmer_count }}
          <svg-icon icon-class="people-dark-green" />
        </div>
      </el-col>
    </div>
  </div>
</template>

<script>
require('../../../theme/RitxChart');
export default {
  name: 'GenderList',
  computed: {
    registered_gender: {
      get: function() {
        return this.$store.getters.registered_gender;
      }
    },
    activities: {
      get: function() {
        return this.$store.state.farmer.farmers.app_activities;
      }
    },
    total: {
      get: function() {
        const activities = this.$store.state.farmer.farmers.app_activities;
        let total = 0;
        let i = 0;
        for (i; i < activities.length; i++) {
          total = total + activities[i].count
        }
        return total;
      }
    }
  }
};
</script>
<style rel="stylesheet/scss" lang="scss" scoped>
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';

.app-activity {
  display: flex;
  flex-wrap: wrap;
  border-bottom: 1px solid $ritx-light-grey-3;
  padding-bottom: 16px;
  margin-bottom: 20px;

  &:last-of-type {
    border: none;
  }

  &__title {
    width: 60%;
    display: inline-block;
    margin-bottom: 10px;
    text-transform: capitalize;
  }
  &__link {
    width: 38%;
    text-align: right;
    display: inline-block;
  }
}
.icons-container {
  background-color: #40bd9c;
  padding: 10px;
  display: inline-block;
  margin-bottom: 10px;
  margin-right: 10px;
  border-radius: 6px;
  .svg-icon {
    width: 25px;
    height: 25px;
  }

  &.\-\-female {
    background-color: #ff8733;
  }
}

.farmer-count {
  display: inline-block;
  color: $ritx-dark-green;
  font-weight: 700;
  margin-top: 10px;
  &--decimal {
    float: right;
  }
  .svg-icon {
    width: 12px;
    height: 12px;
    vertical-align: 0;
  }
}

.detail-link {
  color: $ritx-orange;
  font-weight: 700;
}
</style>
